Name:           jandex
Version:        2.0.2
Release:        6
Summary:        A space efficient Java annotation indexer and offline reflection library
License:        ASL 2.0
URL:            https://github.com/wildfly/jandex
Source0:        https://github.com/wildfly/%{name}/archive/%{version}.Final.tar.gz#/%{name}-%{version}.Final.tar.gz

BuildArch:      noarch
BuildRequires:	maven-local mvn(org.jboss.apiviz:apiviz) mvn(org.jboss:jboss-parent:pom:) mvn(jdepend:jdepend)
BuildRequires:  mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.ant:ant)

Provides:       %{name}-javadoc = %{name}-%{version}
Obsoletes:      %{name}-javadoc < %{name}-%{version}

%description
Jandex is a space efficient Java annotation indexer and offline reflection library.
It supports the following capabilities:
* Indexing all runtime visible Java annotations for a set of classes into a memory efficient representation.
* Indexing the class hierarchy and interface implementation of a set classes.
* Browsing and searching of declared methods on an indexed class.
* Browsing and searching of declared fields on an indexed class.
* Browsing of all generic type information on methods, fields, and classes.
* Browsing and searching annotations, including Java 8 type annotations
* Persisting an index into a custom storage efficient format.
* Quick-loading of the storage efficient format
* Compatibility with previous API and storage format versions
* Execution via an API, a command line tool, and ant

%prep
%autosetup -n %{name}-%{version}.Final

%pom_remove_dep :typeannotation-test
rm src/test/java/org/jboss/jandex/test/TypeAnnotationTestCase.java

%build
%mvn_build

%install
%mvn_install

cat .mfiles .mfiles-javadoc > .%{name}

%files -f .%{name}
%doc README.md
%license LICENSE.txt

%changelog
* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.2-6
- Package init

